Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:
Category: Geoprocess
Target version: 2.6.0-3302
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 3014 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

En gvSIG 2.5, he realizado el geoproceso juntar con dos tablas que tienen los mismos campos, todos con datos. Al seleccionar que
coja los campos de la grande deja los registros de la segunda capa vacíos. Al seleccionar que coja los campos de la capa pequeña
me ha dejado toda la tabla vacía.

Associated revisions
Revision 1263 - 04/10/2020 09:59 PM - Óscar Martínez

refs #5183 Corregido el relleno de la tabla

History
#1 - 12/12/2019 07:13 PM - Mario Carrera
- gvSIG build deleted (3003)
- Target version set to 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261)

#2 - 12/20/2019 08:43 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3003 (rev. org.gvsig.desktop-2.0.261) to 2.5.1-3004

#3 - 03/04/2020 01:06 PM - Álvaro Anguix

Adjunta los datos para poder testear

#4 - 03/04/2020 01:06 PM - Álvaro Anguix

...y añade log.

#5 - 03/04/2020 01:07 PM - Álvaro Anguix
- Target version changed from 2.5.1-3004 to 2.5.1-3044

#6 - 03/23/2020 10:52 AM - Mario Carrera
- File error_geoproceso_Juntar.zip added
Adjunto las dos capas de polígonos (CAPA 1: "parcelas_polig_def"; CAPA 2: "parcelas_polig_def-NUEVAS").

La CAPA 1 tiene 116 geometrías, y en su tabla tiene varios campos, siendo los primeros hasta el de "FECHABAJA" comunes a la CAPA 2, y los dos
últimos ("Ruta" y "ZONIFICA") no están en la CAPA 2.

La CAPA 2 tiene 24 geometrías, y en su tabla tiene varios campos, siendo los primeros hasta el de "FECHABAJA" comunes a la CAPA 1, y el último
("Campo1") no está en la CAPA 1.

Adjunto también ficheros log.

Los pasos a seguir para obtener el error son:

---------------------
CASO 1: 
- Añado las CAPAS 1 y 2 en una Vista en 25830. 
- Abro Gestor de geoprocesos y abro el geoproceso "Juntar" que está en "gvSIG geoprocesos"/"Capas vectoriales". 
- Parámetros: 
       - Capas seleccionadas: Selecciono las dos. 
       - Usar los campos de la capa: "parcelas_polig_def" 
       - Capa resultado polígono: Dejo como temporal. 
       - Capa resultado líneas: Entro en los "...", pestaña "General" y "No crear resultado
       - Capa resultado puntos: Entro en los "...", pestaña "General" y "No crear resultado
- Lo ejecuto. 
- El resultado es de las geometrías de la capa parcelas_polig_def-NUEVAS y unas pocas geometrías de la capa parcelas_polig_def. Deberían ser
todas las de la primera más todas las de la segunda (116+24=140 geometrías)
- Su tabla de atributos tiene los campos correctos (los de la capa parcelas_polig_def), pero debería haber rellenado todos los campos menos los dos
últimos, en los 124 primeros registros.

---------------------
CASO 2: 
- Añado las CAPAS 1 y 2 en una Vista en 25830. 
- Abro Gestor de geoprocesos y abro el geoproceso "Juntar" que está en "gvSIG geoprocesos"/"Capas vectoriales". 
- Parámetros: 
       - Capas seleccionadas: Selecciono las dos. 
       - Usar los campos de la capa: "parcelas_polig_def-NUEVAS" 
       - Capa resultado polígono: Dejo como temporal. 
       - Capa resultado líneas: Entro en los "...", pestaña "General" y "No crear resultado
       - Capa resultado puntos: Entro en los "...", pestaña "General" y "No crear resultado
- Lo ejecuto. 
- El resultado es de las geometrías de la capa parcelas_polig_def solamente (los 116 registros). Deberían ser todas las de la primera más todas las de
la segunda (116+24=140 geometrías)
- Su tabla de atributos tiene los campos correctos (los de la capa parcelas_polig_def-NUEVAS), pero está vacía. Deberían estar todos esos 116
registros con datos en todos los campos. Y aparte, los 24 registros de la otra capa que faltan, deberían estar, y además con todos los datos
rellenados menos el último campo (Campo1), donde esos 24 registros estarían vacíos.

#7 - 03/23/2020 12:50 PM - Mario Carrera
- File deleted (error_geoproceso_Juntar.zip)

#8 - 03/23/2020 12:52 PM - Mario Carrera
- File error_geoproceso_Juntar_def.zip added
Adjunto capas adaptadas mejor a la explicación detallada del último comentario que he hecho (he eliminado las anteriores)

#9 - 03/26/2020 01:38 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278)

#10 - 03/26/2020 02:46 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to High

#11 - 04/07/2020 09:53 PM - Joaquín  del Cerro Murciano
- Priority changed from High to Urgent

#12 - 04/10/2020 12:42 PM - Álvaro Anguix
- gvSIG build set to 3014
- Status changed from New to Closed

En el build 3014 funciona correctamente

#13 - 04/11/2020 06:04 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3019-RC1 (rev. org.gvsig.desktop-2.0.278) to 2.5.1-3015

#14 - 01/19/2023 07:52 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3015 to 2.6.0-3302

Habia un problema en como el geoproceso entraba en edicion de la capa. Lo hacia dos veces y la segunda fallaba por que ya estaba en edicion, y
generaba la tabla vacia sin informar al usuario de nada.

Files
error_geoproceso_Juntar_def.zip 137 KB 03/23/2020 Mario Carrera
